%define language sv-SE
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Swedish
%define name mozilla-thunderbird-enigmail-%{locale}
%define version 1.0.7
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define enigmail_version 0.9x
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{version}
%define xpidir http://www.mozilla-enigmail.org/downloads/lang/%{enigmail_version}

Summary: %{langname} interface for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/enigmail-%language-%{enigmail_version}.xpi
License: GPL
Group: Networking/Mail
Url: http://www.mozilla.org/products/thunderbird/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: mozilla-thunderbird
Requires: mozilla-thunderbird-enigmail = %{version}
Requires(post): mozilla-thunderbird = %{version}
Requires(postun): mozilla-thunderbird-enigmail = %{version}
Requires: locales-%{locale}

%description
%{langname} localisation for Mozilla Enigmail in Thunderbird

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp chrome/enigmail-%{language}.jar %buildroot%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/lang/
cat << EOF > %buildroot%{mozillalibdir}/chrome/lang/lang-%name.txt
locale,install,url,jar:resource:/chrome/enigmail-%language.jar!/locale/%language/enigmail/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{mozillalibdir}
%dir %{mozillalibdir}/chrome
%dir %{mozillalibdir}/chrome/lang
%{mozillalibdir}/chrome/*.jar
%{mozillalibdir}/chrome/lang/*.txt

%post -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%postun 
[ -x %{mozillalibdir}/mozilla-rebuild-databases.pl ] && %{mozillalibdir}/mozilla-rebuild-databases.pl
exit 0

%changelog
* Thu Oct 13 2005 Nicolas Lcureuil <neoclus@tmandriva.org> 1.0.7-1mdk
- Initial Mandriva Release
